#!/usr/bin/python
##################################################################
# Copyright 2009 MIT Lincoln Laboratory  
# Project:            APP test
# Authors:            RWC
# Description:        Sample interface policy engine and 
#                     test harness
#
# Modifications:
# Date          Name           Modification
# ----          ----           ------------
# 15 Dec 2009   rwc            Original Version
##################################################################
import sys
import random
import platform

if platform.system() == 'Windows':
	import msvcrt
	import os
	msvcrt.setmode(sys.stdout.fileno(), os.O_BINARY)

DEBUG = 0

BEGIN = 1
DONE = 0

while not DONE:
	if not BEGIN: 
		sys.stdout.write('\r\n')
	else:
		BEGIN = 0
	sys.stdout.write('>> ')
	sys.stdout.flush()
	line = sys.stdin.readline().strip()
	if DEBUG: 
		sys.stdout.write(line + '\r\n')
		sys.stdout.flush()
	if line == 'DONE':
		DONE = 1
		continue
	if line == '':
		continue
	if line.strip().upper() != 'EXECUTE':
		query = line
		continue
	
	if random.randint(0,99) < 50:
		print 'ALLOWED http://www.ll.mit.edu'
	else:
		print 'DENIED http://web.mit.edu'

